{% extends 'base.html' %}

{% block title %}Registration{%endblock%}

{%block content%}
    <h1 class="text-center mt-3">Registration</h1>
    <div class="container">
        <div class="row">
            <div class="col-6 offset-3">
                {% if error == True %}
                    <p class="text-danger">Username is already taken!</p>
                {% endif %}
                {% if is_match == False %}
                    <p class="text-danger">Password not match!</p>
                {% endif %}
                <form action="{% url 'todolist:register' %}" method="POST">
                    <!-- This template tag provides protection against cross site request forgeries (CSRF) -->
                    {% csrf_token %}
                    <div class="mb-3">
                      <label for="username" class="form-label">Username:</label>
                      <input 
                      type="text" 
                      class="form-control" 
                      id="username"
                      value = "{{username}}"
                      name = "username"
                      maxlength="20"
                      required
                      >
                    </div>                
                    <div class="mb-3">
                    <label for="first_name" class="form-label">First Name:</label>
                    <input 
                    type="text" 
                    class="form-control" 
                    id="first_name"
                    value = "{{first_name}}"
                    name = "first_name"
                    maxlength="20"
                    required
                    >
                    </div>
                    <div class="mb-3">
                    <label for="last_name" class="form-label">Last Name:</label>
                    <input 
                    type="text" 
                    class="form-control" 
                    id="last_name"
                    value = "{{last_name}}"
                    name = "last_name"
                    maxlength="20"
                    required
                    >
                    </div>
                    <div class="mb-3">
                        <label for="email" class="form-label">Email:</label>
                        <input 
                        type="text" 
                        class="form-control" 
                        id="email"
                        value = "{{email}}"
                        name = "email"
                        maxlength="20"
                        required
                        >
                        </div>
                    <div class="mb-3">
                      <label for="password" class="form-label">Password:</label>
                      <input 
                      type="password" 
                      class="form-control" 
                      id="password"
                      name = "password"
                      value= "{{password}}"
                      maxlength="20"
                      required
                      >
                    </div>
                    <div class="mb-3">
                        <label for="confirmpassword" class="form-label">Confirm Password:</label>
                        <input 
                        type="password" 
                        class="form-control" 
                        id="confirmpassword"
                        name = "confirmpassword"
                        value= "{{confirmpassword}}"
                        maxlength="20"
                        required
                        >
                      </div>                     
                    <button type="submit" class="btn btn-primary">Register</button>
                  </form>
            </div>
        </div>
    </div>
{% endblock %}

<!-- {% if is_user_registered == False %}

    <h1>User Successfully Created!</h1>

    <p>The account for {{first_name}} {{last_name}} has benn successfuly registered</p>

{% else %}
    <h1> Duplicate User Found!</h1>
    <p>A duplicate user has benn found, user creation unsuccessful</p>


{% endif %} -->